Bug 188853 - CVE-2006-1737 Crashes with evidence of memory corruption (CVE-2006-1738, CVE-2006-1739, CVE-2006-1790)
CVE-2006-1737 Crashes with evidence of memory corruption (CVE-2006-1738, CVE-...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: thunderbird (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Aillon
reported=20060412,source=mozilla,emba...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-13 00:00 EDT by Josh Bressers
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-28 10:58:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2006-04-13 00:00:05 EDT
Crashes with evidence of memory corruption (CVE-2006-1738, CVE-2006-1739)


As part of the Firefox 1.5 release we fixed several crash bugs to improve
the stability of the product. Some of these crashes showed evidence of
memory corruption that we presume could be exploited to run arbitrary code
and have been applied to the Firefox 1.0.x and Mozilla Suite 1.7.x releases

While  fixing  an  unexploitable  recursion-induced crash Bernd Mielke
discovered that the CSS border-rendering code could potentially write past
the end of an array.

Alden  D'Souza  reported a crash when using an extremely large regular
expression in JavaScript. This was tracked down to a 16-bit integer overflow
that could potentially cause the browser to interpret attacker supplied data
as JavaScript bytecode.

Martijn   Wargers  fixed  two  potentially  exploitable  crashes  when
programmatically changing the -moz-grid and -moz-grid-group display styles.

Note:  Thunderbird shares the browser engine with Firefox and could be
vulnerable if JavaScript were to be enabled in mail. This is not the default
setting and we strongly discourage users from running JavaScript in mail.

CVE-2006-1737 bug 280769
CVE-2006-1738 bugs 311710, 313173
CVE-2006-1739 bug 265736

Workaround

Upgrade to the fixed versions. Do not enable JavaScript in Thunderbird or
the mail portions of SeaMonkey and the Mozilla Suite.

References

[1]https://bugzilla.mozilla.org/show_bug.cgi?id=265736
[2]https://bugzilla.mozilla.org/show_bug.cgi?id=280769
[3]https://bugzilla.mozilla.org/show_bug.cgi?id=311710
[4]https://bugzilla.mozilla.org/show_bug.cgi?id=313173
[5]https://bugzilla.mozilla.org/show_bug.cgi?id=315304


This issue also affects FC4
Comment 1 Josh Bressers 2006-04-24 09:09:43 EDT
Lifting embargo
Comment 2 Matěj Cepl 2007-07-18 13:32:15 EDT
Fedora Core 5 is no longer supported, could you please reproduce this with the
updated version of the currently supported distribution (Fedora Core 6, or
Fedora 7, or Rawhide)? If this issue turns out to still be reproducible, please
let us know in this bug report.  If after a month's time we have not heard back
from you, we will have to close this bug as CANTFIX.

Setting status to NEEDINFO, and awaiting information from the reporter.

Thanks in advance.
Comment 3 Matěj Cepl 2007-08-28 10:58:54 EDT
We haven't got any reply to the last question about reproducability of the bug
with Fedora Core 6, Fedora 7, or Fedora devel. Mass closing this bug, so if you
have new information that would help us fix this bug, please reopen it with the
additional information.

Note You need to log in before you can comment on or make changes to this bug.